# __gnu_cxx::__common_pool_base< _PoolTp, true > Struct Template Reference

Inheritance diagram for __gnu_cxx::__common_pool_base< _PoolTp, true >:

List of all members.

## Detailed Description

### template<template< bool > class _PoolTp>
struct __gnu_cxx::__common_pool_base< _PoolTp, true >

Definition at line 425 of file mt_allocator.h.

## Public Types

- typedef _PoolTp< _Thread > pool_type

## Static Public Member Functions

- static pool_type & _S_get_pool ()
- static void _S_initialize ()
- static void _S_initialize_once ()

The documentation for this struct was generated from the following file:

- mt_allocator.h